diff --git a/contrib/ncurses/ANNOUNCE b/contrib/ncurses/ANNOUNCE
index e0603d622394..6abf551c684d 100644
--- a/contrib/ncurses/ANNOUNCE
+++ b/contrib/ncurses/ANNOUNCE
@@ -408,273 +260,157 @@ Release Notes
    features   and   show   how   they  evolved,  there  are  corrections,
    clarifications, etc.:
      * Corrections:
-          + correct  error-returns  listed in manual pages for a few form
-            functions
-          + corrected  prototypes  in  several  manpages  using script to
-            extract those in compilable form.
-          + fix typo in term.5, improve explanation of format
-     * Clarify in manual pages that vwprintw and vwscanw are obsolete.
-       They have not been part of X/Open Curses since 2007.
+          + add   assignment   in  CF_MAN_PAGES  to  fill  in  value  for
+            TERMINFO_DIRS in ncurses, terminfo and tic manpages.
+          + clarify  interaction  of  -R  option  versus -C, -I and -r in
+            infocmp manpage.
+          + correct manpage description of panel_hidden.
+          + improve  manpage  description  for addch versus unctrl format
+            used for non-printable characters.
+          + improve  manpages  discussing  file  descriptors in low-level
+            functions.
+          + improve description of search rules for terminal descriptions
+            in terminfo manpage.
+          + modify  dist.mk  to  avoid  passing  developer's  comments in
+            manpages into the generated html documentation.
+          + modify  test-package  "ncurses6-doc"  to use manpage-aliases,
+            which  in  turn  required a change to the configure script to
+            factor in the extra-suffix option when deriving alias names.
      * New/improved history and portability sections:
-          + curs_addch.3x gives some background for ACS symbols.
-          + curs_getcchar.3x  explains  a  difference between ncurses and
-            X/Open Curses.
-          + curs_getstr.3x  gives  historical/portability  background for
-            the length parameter of wgetnstr.
-          + curs_slk.3x  lists  a few differences between SVr4 curses and
-            X/Open Curses for soft-keys.
-          + curs_terminfo.3x  explains that the initial implementation of
-            terminfo  in  SVr2 was mostly replaced by other developers in
-            SVr3.
-          + infocmp.1  explains  that the initial version of terminfo had
-            no  tool  for decompiling descriptions. That came later, with
-            SVr3, with a different developer.
-          + tabs.1 tells more than you wanted to know about the tool.
-          + tic.1  explains  that  the  initial version of terminfo had a
-            rudimentary  tool  (based  on termcap) for compiling entries.
-            The tool used with Unix was developed by others for SVr3.
-          + toe.1 explains the origin of this tool.
-     * Improvements for user_caps.5:
-          + mention meml, memu and box1
-          + expanded description of XM
-          + add a clarification regarding the RGB capability.
-          + mention user_caps.5 in the tic and infocmp manual pages.
+          + add  information  about  "ttycap",  termcap's  forerunner, to
+            tset.1
+          + document   limitations   of   tparm,   and  error-returns  in
+            curs_terminfo.3x
+          + document   limitations   of   tgoto,   and  error-returns  in
+            curs_termcap.3x
      * Other improvements:
-          + curs_add_wch.3x  adds  note about Unicode terminology for the
-            line-drawing characters.
-          + curs_color.3x   improves  discussion  of  error  returns  and
-            extensions.
-          + curs_mouse.3x  explains how the kmous and XM capabilities are
-            used for xterm-mouse input.
-          + curs_refresh.3x  improves documentation regarding the virtual
-            and physical screens.
-          + curs_util.3x  mentions  a  difference between SVr4 and X/Open
-            Curses for unctrl.h
-          + curs_variables.3x   improves  description  of  the  init_tabs
-            capability and TABSIZE variable.
-          + ncurses.3x   improves  documentation  regarding  feature-test
-            macros in curses.h
-          + resizeterm.3x   about   top-level  windows  which  touch  the
-            screen's borders.
-          + tput.1 clarifies how tput determines the terminal size.
+          + This  release  has many changes to improve the formatting and
+            style of the manpages.
+          + Manpages  now use consistent section-naming, page headers and
+            footers (including the modification date for each page).
+          + Table layout has been revised.
 
    There  are  no new manual pages (all of the manual page updates are to
    existing pages).
 
-   Some  of  the  improvements  are  more subtle, relating to the way the
-   information  is presented. For instance, the generated terminfo.5 file
-   uses  a  different  table  layout,  allowing  it  to use space on wide
-   terminals more effectively.
-
   Interesting bug-fixes
 
-   While  there  were  many bugs fixed during development of ncurses 6.2,
-   only  a  few  (the  reason  for  this release) were both important and
-   interesting. Most of the bug-fixes were for local issues which did not
-   affect  compatibility across releases. Since those are detailed in the
-   NEWS file no elaboration is needed here.
-
-   The  interesting  bugs  were in tic/infocmp's handling of user-defined
-   capabilities.  These  were  not recent bugs. Initially it was a simple
-   problem:
-     * The  user-defined capabilities can be any type (boolean, number or
-       string),  but  once given a type all uses of the name must conform
-       to  that  type--unless  some  special  support  for  a  particular
-       multi-typed name is built into ncurses.
-     * One of simpleterm's contributors copied some definitions for using
-       tmux's user-defined capabilities in late in 2016.
-
-diff --git a/st.info b/st.info
-@@ -185,7 +185,10 @@ st| simpleterm,
-  tsl=\E]0;,
-  xenl,
-  vpa=\E[%i%p1%dd,
--
-+# Tmux unofficial extensions, see TERMINFO EXTENSIONS in tmux(1)
-+ Se,
-+ Ss,
-+ Tc,
-
- st-256color| simpleterm with 256 colors,
-  use=st,
-
-     * Later,  in (referring to a version from mid-2017), a user asked to
-       have it updated in ncurses.
-     * However,  it  had  an  error  from  the  change  in late 2016. The
-       terminal description made what tmux expected to be string actually
-       a boolean.
-       Over  the  years,  there  were  problems with each of simpleterm's
-       terminal  descriptions.  I  repaired those, and usually dealt with
-       the problem.
-     * The  difference  in this case was that when compiling the terminal
-       database, tic may have in memory the definitions for more than one
-       terminal  description  (so  that  it  can resolve "use=" clauses).
-       Seeing   two  different  types  for  the  same  name,  in  certain
-       situations  it  would  incorrectly merge the symbol tables for the
-       two terminal descriptions.
-     * On  simpleterm's  side,  their bug was finally fixed in late 2019,
-       three years after the bug was created.
-
-   For  ncurses,  the  elapsed  time  to fix this bug was less than three
-   years.  Someone reported a problem with the terminal description a few
-   weeks  after  releasing  ncurses 6.1 (in tmux #1264), and the terminal
-   description was updated that week (ncurses patch 20180224):
-
-20180224
-        + modify _nc_resolve_uses2() to detect incompatible types when merging
-          a "use=" clause of extended capabilities.  The problem was seen in a
-          defective terminfo integrated from simpleterm sources in 20171111,
-          compounded by repair in 20180121.
-        + correct Ss/Ms interchange in st-0.7 entry (tmux #1264) -TD
-
-   The larger part of that change added a check to prevent a simple merge
-   of  terminal  descriptions  where  the same user-defined name was used
-   with different types. But it raised some questions:
-     * Was  there  a  reliable  way to manage terminal descriptions which
-       used the same extended name in different ways?
-     * Should  ncurses  provide  a registry of well-known extended names,
-       with their types?
-
-   Since  the  correction to terminfo.src could have been readily adopted
-   by  packagers,  there  was  nothing  more  to  be  done  from ncurses'
-   standpoint  on that part. But improving ncurses to prevent issues like
-   that is the reason for making a release.
-
-   Nothing  more  (constructive) was mentioned with regard to simpleterm.
-   But  a  few  problems  were  found  in  the  handling  of user-defined
-   capabilities:
-     * Forward-references to user-defined capabilities in a "use=" clause
-       did  not  allocate  new  data  for  each  use.  In tic, successive
-       compilation   of   terminal   entries   could   add   user-defined
-       capabilities to the wrong terminal entry.
-       This  was  not noticed before, since xterm's terminal descriptions
-       were  the main users of the feature, and almost all of the uses of
-       the building-blocks which contained user-defined capabilities were
-       backward-references.
-     * There  is  one  (documented)  case  where  ncurses  6.1 supports a
-       user-defined  capability that could be any type (i.e., "RGB"). The
-       check  added  in February 2018 to guard against mismatches did not
-       handle all of the combinations needed.
-
-   Both  of  these  issues  dated  from  the  original  implementation of
-   user-defined  capabilities.  Fixing  them does not change the terminal
-   database, but a older tic without the fixes will not be able to handle
-   terminfo  sources  which rely upon those fixes. Starting in June 2019,
-   the  download  link  for  the  terminfo source file was capped at that
-   date. The development sources have an up-to-date copy of the file, for
-   people with a legitimate need for it.
-
-   The  "-c"  (check) option of tic is not very useful if it cannot offer
-   advice on parameters needed for user-defined capabilities. The various
-   Caps  files  were  reorganized to reduce redundancy, and in the common
-   portion  (Caps-ncurses),  a  registry  of user-defined capabilities is
-   provided for use by tic. While users can still define their own custom
-   capabilities,  tic  will not offer any advice when their parameters do
-   not match.
-
-   In  ncurses  6.2, tic makes a special check to allow any type for RGB,
-   but  its  being  able to do this relies upon fixes made in the ncurses
-   library in mid-2019.
+   The  changes to tparm, tgoto which improve the design of the low-level
+   interfaces are interesting, but are not bug-fixes per se.
 
   Configuration changes
 
     Major changes
 
-   There  are  no  major  changes. Several new options were added to ease
-   integration  of packages with systems using different versions of GNAT
-   and ncurses. Also, improvements were made to configure checks.
+   These are the major changes (aside from introducing tiparm_s):
+     * use wide-character (ncursesw) by default
+     * use opaque typedefs by default
+
+   However,  most  of  the  work  on configure scripts was done to reduce
+   warnings within the configure script:
+     * intrusive warnings from GNU grep regarding fgrep and egrep
+     * fatal  errors  in  compile-checks,  arising from recent "Modern C"
+       efforts  by  some  developers  which caused longstanding configure
+       checks to fail.
+       After  repairing  the  configure  script,  none  of  that activity
+       affected  ncurses  because stricter warnings are used routinely in
+       development.
+
+   Other improvements made to configure checks include
+     * use  string-hacks in alloc_entry.c, alloc_type.c and hardscroll.c,
+       overlooked due to compiler changes in recent OpenBSD releases
+     * revise progs.priv.h to provide for NC_ISATTY reuse
+     * configure check for MB_LEN_MAX provides warning as needed
+     * trim   a   space  after  some  "-R"  options,  fixing  builds  for
+       applications built using clang and ncurses on Solaris
+     * work  around  misconfiguration  of  MacPorts  gcc13, which exposes
+       invalid  definition  of  MB_LEN_MAX  in  gcc's  fallback  copy  of
+       limits.h
+     * modified  experimental  Windows  driver  works  with  xterm  mouse
+       protocol
 
     Configuration options
 
-   There are a few new/modified configure options:
+   There are a few new configure options:
+
+   --disable-setuid-environ
+          Compile  with  environment  restriction, so certain environment
+          variables  are  not  available when running via a setuid/setgid
+          application. These are (for example $TERMINFO) those that allow
+          the  search  path  for  the  terminfo  or  termcap  entry to be
+          customized.
+
+          A  setuid/setgid application inherits its environment variables
+          from  the current user, in contrast to sudo which may limit the
+          environment variables that ncurses uses.
 
-   --with-config-suffix
-          helps  work  around  a  filename  conflict with Debian packages
-          versus test-packages.
+   --enable-check-size
+          Compile-in  feature to detect screensize for terminals which do
+          not advertise their screensize, e.g., serial terminals.
 
-   --with-ada-libname
-          allows  one  to  rename  the  "AdaCurses" library (at least one
-          packager prefers a lowercase name).
+   --with-abi-altered=NUM
+          Override  the  displayed  (rather  than  compiled-in) ABI. Only
+          packagers who have created configurations where the ABI differs
+          from ncurses should be interested in this option.
 
-   --with-fallbacks
-          now ensures there is a value, and adds the fallback information
-          to top-level Makefile summary.
+   --with-strip-program=XXX
+          When  stripping  executables  during install, use the specified
+          program  rather  than  "strip" overriding program chosen by the
+          install program for stripping executables.
 
-   --with-pcre2
-          check for pcre-posix library to help with MinGW port.
+   These configure options are modified:
 
-   --with-tic-path and
+   --with-pkg-config-libdir[=DIR]
+          The  optional  DIR parameter can now be "auto" to automatically
+          use pkg-config's library directory.
 
-   --with-infocmp-path
-          help  work  around  problems  building  fallback  source  using
-          pre-6.0 tic/infocmp.
+          The default is $(libdir).
 
-   --with-versioned-syms
-          option value can now be a relative pathname.
+   --with-xterm-kbs[=XXX]
+          The  default  is  "auto"  which  tells  the configure script to
+          choose BS or DEL according to platform defaults.
 
   Portability
 
    Many  of  the  portability  changes  are implemented via the configure
    script:
-     * ignore $TERMINFO as a default value in configure script if it came
-       from the infocmp -Q option.
-     * distinguish  gcc  from  icc  and  clang when the --enable-warnings
-       option   is   not   used,  to  avoid  unnecessary  warnings  about
-       unrecognized inline options
-     * consistently  prepend  new  libraries  as  they  are  found during
-       configuration,  rather  than  relying  upon  the linker to resolve
-       order dependencies of libraries.
-     * modified  configure  scripts  to  reduce  relinking/ranlib  during
-       library install :
-          + use  "install -p" when available, to avoid need for ranlib of
-            static libraries.
-          + scripts which use "--disable-relink;" add a 1-second sleep to
-            work around tools which use whole-second timestamps, e.g., in
-            utime rather than the actual file system resolution.
-     * add configure check for getenv to work around implementation shown
-       in  Emscripten  which overwrites the previous return value on each
-       call.
-       Use  that  to optionally suppress START_TRACE macro, whose call to
-       getenv may not work properly
-     * change  target configure level for _XOPEN_SOURCE to 600 to address
-       use of vsscanf and setenv.
-     * reduce  use of _GNU_SOURCE for current glibc where _DEFAULT_SOURCE
-       combines with _XOPEN_SOURCE
-       Allow  for  Cygwin's  newlib when checking for the _DEFAULT_SOURCE
-       symbol.
-       MidnightBSD   is   now   checked   for  the  _XOPEN_SOURCE-related
-       definitions.
-     * If the check for va_copy or __va_copy fails,
-          + configure  now  tries copying the pointers for va_list, or as
-            an array.
-          + alternatively, it checks for __builtin_va_copy(), which could
-            be used with AIX xlc in c89 mode.
-     * several changes to support a port to Ultrix 3.1:
-          + check if "b" binary feature of fopen works
-          + check for missing feature of locale.h
-          + add fallback for strstr() in test-programs
-          + add fallback for STDOUT_FILENO in test-programs
-     * The test/configure script (used for ncurses-examples) is improved:
-          + work around non-ncurses termcap.h file, e.g., in Slackware.
-          + check for TABSIZE variable.
-          + checks  for  the  X11/Intrinsic.h  header, accommodate recent
-            MacOS changes which largely emptied /usr/include.
+     * add/use   configure   check   for   clock_gettime,   to  supersede
+       gettimeofday.
+     * modify  configure script check for pkg-config library directory to
+       take   into   account   an   older   version   0.15.0  which  used
+       PKG_CONFIG_PATH but not PKG_CONFIG_LIBDIR
+     * allow for MinGW32-/64-bit configurations to use _DEFAULT_SOURCE
+     * modify   CF_XOPEN_SOURCE  macro's  amend  default  case  to  avoid
+       undefining _XOPEN_SOURCE if _POSIX_C_SOURCE is defined
+     * updated configure script macro CF_XOPEN_SOURCE, for uClibc-ng
+     * modify version-check for gcc/g++, now works for msys2
+     * build-fixes related to configure-options and/or platform:
+          + fix for --enable-fvisibility
+          + fix for unusual values of --with-rel-version
+          + fix for unusual values of --with-abi-version
+          + fix for --disable-tcap-names
+          + fix for termcap in nc_access.h
+     * other configure-script improvements:
+          + recent msys2 headers work with _DEFAULT_SOURCE; amend check
+          + use  $ac_includes_default in most cases where stdlib.h should
+            work
+          + use #error consistently vs "make an error"
+          + add configure macro for gettimeofday vs inline check
 
    Here are some of the other portability fixes:
-     * added  dummy  "check"  rule  in  top-level  and  test-Makefile  to
-       simplify building test-packages for ArchLinux.
-     * dropped   library-dependency   on  psapi  for  MinGW  port,  since
-       win_driver.c   defines   PSAPI_VERSION   to   2,   making  it  use
-       GetProcessImageFileName from kernel32.dll
-     * made  build-fixes  for  configuration  using --program-suffix with
-       Ada95,  noticed  with  MacOS  but  applicable  to  other platforms
-       without libpanelw, etc.
-     * modified  ncurses/Makefile.in  to  fix a case where Debian/testing
-       changes to the ld --as-needed configuration broke ncurses-examples
-       test packages.
-     * used   _WIN32/_WIN64   in  preference  to  __MINGW32__/__MINGW64__
-       symbols  to simplify building with Microsoft Visual C++, since the
-       former are defined in both compiler configurations.
+     * modify  configure  scripts/makefiles  to  omit  KEY_RESIZE  if the
+       corresponding SIGWINCH feature is disabled
+     * increase MB_CUR_MAX to 16, matching glibc's MB_LEN_MAX
+     * add BSD erase2 to characters handled by tset/reset
+     * use getauxval when available, to improve setuid/setgid checks
+     * set dwShareMode in calls to CreateConsoleScreenBuffer
+     * use  CreateFile  with "CONIN$", "CONOUT$" rather than GetStdHandle
+       to  obtain a handle on the actual console, avoiding redirection in
+       the MinGW/Win32 configurations
+     * modify  MinGW  driver  to  return KEY_BACKSPACE when an unmodified
+       VK_BACK virtual key is entered
+     * modify  MinGW  configuration  to provide for running in MSYS/MSYS2
+       shells, assuming ConPTY support
      _________________________________________________________________
 
 Features of ncurses
@@ -682,20 +418,21 @@ Features of ncurses
    The  ncurses  package  is  fully upward-compatible with SVr4 (System V
    Release 4) curses:
      * All of the SVr4 calls have been implemented (and are documented).
-     * ncurses  supports  all  of  the for SVr4 curses features including
-       keyboard  mapping,  color,  forms-drawing with ACS characters, and
-       automatic recognition of keypad and function keys.
-     * ncurses  provides  these SVr4 add-on libraries (not part of X/Open
-       Curses):
-          + the  panels  library,  supporting  a  stack  of  windows with
-            backing store.
-          + the   menus   library,  supporting  a  uniform  but  flexible
-            interface for menu programming.
+     * ncurses  supports  the  features of SVr4 curses including keyboard
+       mapping,  color,  form  drawing with ACS characters, and automatic
+       recognition of keypad and function keys.
+     * ncurses  provides  work-alike  replacements  of  SVr4 supplemental
+       libraries  based on curses, but which were not specified by X/Open
+       Curses:
+          + the panel library, supporting a stack of windows with backing
+            store
+          + the menu library, supporting a uniform but flexible interface
+            for menu programming
           + the   form   library,   supporting  data  collection  through
-            on-screen forms.
+            on-screen forms
      * ncurses's  terminal database is fully compatible with that used by
        SVr4 curses.
-          + ncurses  supports user-defined capabilities which it can see,
+          + ncurses  supports  user-defined capabilities that it can see,
             but  which are hidden from SVr4 curses applications using the
             same terminal database.
           + It  can  be optionally configured to match the format used in
@@ -705,14 +442,15 @@ Features of ncurses
             curses.
      * The ncurses utilities have options to allow you to filter terminfo
        entries for use with less capable curses/terminfo versions such as
-       the HP/UX and AIX ports.
+       the HP-UX and AIX ports.
 
    The ncurses package also has many useful extensions over SVr4:
-     * The  API  is 8-bit clean and base-level conformant with the X/OPEN
-       curses  specification, XSI curses (that is, it implements all BASE
-       level  features,  and  most  EXTENDED  features). It includes many
-       function calls not supported under SVr4 curses (but portability of
-       all calls is documented so you can use the SVr4 subset only).
+     * The  API  is 8-bit clean and base-level conformant with the X/Open
+       Curses  specification, XSI curses (that is, it implements all BASE
+       level  features,  and  almost  all EXTENDED features). It includes
+       many   function   calls  not  supported  under  SVr4  curses  (but
+       portability  of  all  calls  is documented so you can use the SVr4
+       subset only).
      * Unlike  SVr3 curses, ncurses can write to the rightmost-bottommost
        corner  of  the  screen  if  your terminal has an insert-character
        capability.
@@ -729,6 +467,7 @@ Features of ncurses
        use of function keys, e.g., disabling the ncurses KEY_MOUSE, or by
        defining  more  than  one  control  sequence to map to a given key
        code.
+     * Support for direct-color terminals, such as modern xterm.
      * Support for 256-color terminals, such as modern xterm.
      * Support for 16-color terminals, such as aixterm and modern xterm.
      * Better  cursor-movement  optimization.  The package now features a
@@ -771,10 +510,19 @@ Features of ncurses
        user's $HOME/.terminfo directory.
      * The  table-of-entries  utility  toe makes it easy for users to see
        exactly what terminal types are available on the system.
-     * The library meets the XSI requirement that every macro entry point
-       have  a  corresponding  function  which may be linked (and will be
-       prototype-checked)  if  the  macro  definition  is  disabled  with
-       #undef.
+     * X/Open  Curses  permits  most  functions  it  specifies to be made
+       available as macros as well. ncurses does this
+          + to  improve  performance,  e.g.,  for  operations composed of
+            simpler functions such as cursor movement following by adding
+            text to the screen,
+          + to simplify the implementation by reusing functions which use
+            common parameters, e.g., the standard screen stdscr, and
+          + to provide functions that return values via their parameters
+       Except   for   the   last   case,  ncurses  provides  a  non-macro
+       implementation  of  the  function.  If  the  macro  definition  is
+       disabled with #undef, or by defining NCURSES_NOMACROS the function
+       may  be  linked  (and  its  calls  will  be  checked  against  the
+       prototype).
      * Extensive  documentation  is  provided (see the Additional Reading
        section of the ncurses FAQ for online documentation).
 
@@ -827,7 +575,8 @@ Applications using ncurses
    nvi
           New vi uses ncurses.
 
-          https://sites.google.com/a/bostic.com/keithbostic/vi
+          https://sites.google.com/a/bostic.com/keithbostic/the-berkeley-
+          vi-editor-home-page
 
    ranger
           A console file manager with VI key bindings in Python.
@@ -849,12 +598,12 @@ Applications using ncurses
    minicom
           terminal emulator for serial modem connections
 
-          https://alioth.debian.org/projects/minicom/
+          https://salsa.debian.org/minicom-team/minicom
 
    mosh
           a replacement for ssh.
 
-          https://mosh.mit.edu/
+          https://mosh.org/
 
    tack
           terminfo action checker
@@ -903,7 +652,7 @@ Development activities
 
    Ongoing development work is done by Thomas E. Dickey. Thomas E. Dickey
    has  acted  as  the maintainer for the Free Software Foundation, which
-   holds  a  copyright on ncurses for releases 4.2 through 6.1. Following
+   held  a  copyright  on ncurses for releases 4.2 through 6.1. Following
    the release of ncurses 6.1, effective as of release 6.2, copyright for
    ncurses  reverted  to  Thomas  E.  Dickey  (see  the  ncurses  FAQ for
    additional information).
@@ -925,17 +674,17 @@ Development activities
 
    Beta versions of ncurses are made available at
 
-     ftp://ftp.invisible-island.net/ncurses/current/ and
+     https://invisible-island.net/archives/ncurses/current/ and
      https://invisible-mirror.net/archives/ncurses/current/ .
 
    Patches to the current release are made available at
 
-     ftp://ftp.invisible-island.net/ncurses/6.1/ and
-     https://invisible-mirror.net/archives/ncurses/6.1/ .
+     https://invisible-island.net/archives/ncurses/6.4/ and
+     https://invisible-mirror.net/archives/ncurses/6.4/ .
 
    There is an archive of the mailing list here:
 
-     http://lists.gnu.org/archive/html/bug-ncurses (also https)
+     https://lists.gnu.org/archive/html/bug-ncurses .
 
 Related resources
 
@@ -944,6 +693,7 @@ Related resources
      * ncurses licensing
      * Symbol versioning in ncurses
      * Comments on ncurses versus slang (S-Lang)
+     * Comments on OpenBSD
      * tack - terminfo action checker
      * tctest - termcap library checker
      * Terminal Database
@@ -954,11 +704,12 @@ Other resources
    terminal description file once maintained by Eric Raymond . Unlike the
    older  version, the termcap and terminfo data are provided in the same
    file, which also provides several user-definable extensions beyond the
-   X/Open specification.
+   X/Open Curses specification.
 
    You  can  find  lots  of  information  on  terminal-related topics not
-   covered  in  the  terminfo  file  at  Richard  Shuford's archive . The
-   collection of computer manuals at bitsavers.org has also been useful.
+   covered  in the terminfo file in Richard Shuford's archive (original).
+   The  collection  of  computer  manuals  at bitsavers.org has also been
+   useful.
 
      * Overview
      * Release Notes
diff --git a/contrib/ncurses/AUTHORS b/contrib/ncurses/AUTHORS
index 0018842ca099..09dfc9a9efa6 100644
--- a/contrib/ncurses/AUTHORS
+++ b/contrib/ncurses/AUTHORS
@@ -1,5 +1,5 @@
 -------------------------------------------------------------------------------
--- Copyright 2020 Thomas E. Dickey                                           --
+-- Copyright 2020,2021 Thomas E. Dickey                                      --
 -- Copyright 2006,2017 Free Software Foundation, Inc.                        --
 --                                                                           --
 -- Permission is hereby granted, free of charge, to any person obtaining a   --
@@ -26,13 +26,13 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: AUTHORS,v 1.4 2020/02/02 23:34:34 tom Exp $
+-- $Id: AUTHORS,v 1.5 2021/06/17 21:20:30 tom Exp $
 -------------------------------------------------------------------------------
 These are the principal authors/contributors of ncurses since 1.9.9e,
 in decreasing order of their contribution:
 
 TD	Thomas E. Dickey
-JPF	Juergen Pfeifer 
+JPF	Juergen Pfeifer
 ESR	Eric S Raymond
 AVL	Alexander V Lukyanov
 PB	Philippe Blain
diff --git a/contrib/ncurses/COPYING b/contrib/ncurses/COPYING
index 3a2297536813..540047f121f1 100644
--- a/contrib/ncurses/COPYING
+++ b/contrib/ncurses/COPYING
@@ -1,4 +1,4 @@
-Copyright 2018-2020,2021 Thomas E. Dickey
+Copyright 2018-2023,2024 Thomas E. Dickey
 Copyright 1998-2017,2018 Free Software Foundation, Inc.
 
 Permission is hereby granted, free of charge, to any person obtaining a
@@ -26,4 +26,4 @@ sale, use or other dealings in this Software without prior written
 authorization.
 
 -- vile:txtmode fc=72
--- $Id: COPYING,v 1.10 2021/01/01 09:54:30 tom Exp $
+-- $Id: COPYING,v 1.13 2024/01/05 21:13:17 tom Exp $
